Bug 97547 - Every reboot take 4 hours off of my system (hw and rtc) clock time.
Every reboot take 4 hours off of my system (hw and rtc) clock time.
Status: CLOSED DUPLICATE of bug 91228
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-date (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-17 12:06 EDT by Don Himelrick
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:56:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Himelrick 2003-06-17 12:06:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I cannot set the time on any clock on my computer and have it "stick".  Every
time the computer is rebooted, something sets the time to 4 hours earlier.  If I
set the clock in the system BIOS at boot, by the time I login, the system rtc
and hwclock  are 4 hours behind.  If I set the time using  date, or hwclock
--set, hwclock --systohc, timeconfig, or redhat-config-time, it doesnt keep. 
Upon reboot, it is 4 hours behind.  If I do nothing but reboot again, I loose
another 4 hours, and so on, and so on.....

My timzone is EDT, is this a coincidence?  EDT is 4 hours behind UTC.

Version-Release number of selected component (if applicable):
initscripts-7.14-1

How reproducible:
Always

Steps to Reproduce:
1.set time (any method)
2.reboot
3.check time
    

Actual Results:  time is 4 hours behind

Expected Results:  Time should be correct.  The system should not continually
adjust 4 hours off of the correct time.

Additional info:

Am I nuts?  I have to believe I am missing something obvious, and if that is the
case, I apologize.  I have spent 2 days searching for info on setting the time
on a linux system, and nothing I've found works.  I have setup many linux
machines, servers and workstations, since RedHat 4 and never had any problem
quite like this.  I am setting the serverity to security because an incorrect
clock has all kinds of security issues for me.  Feel free to change it if you
see fit.
Comment 1 Bill Nottingham 2003-06-17 12:09:59 EDT
What does your /etc/sysconfig/clock say? What is /etc/localtime?
Comment 2 Don Himelrick 2003-06-17 12:15:21 EDT
/etc/localtime is a link to -> /usr/share/zoneinfo/America/Detroit

and /etc/sysconfig/clock is

ZONE="America/Detroit"
UTC=false
ARC=false
Comment 3 Bill Nottingham 2003-06-17 12:17:46 EDT
Is /usr a separate filesystem? If so, make sure /etc/localtime is a copy, and
not a symlink.
Comment 4 Don Himelrick 2003-06-17 12:40:36 EDT
You ought to put this on the RHCE exam :)

That fixed it.  The obvoius question, why does a link get made to a filesystem
not availabe when the system syncs the clocks?  If it matters, I upgraded from
RH8, but I think that was a clean install.  If not, 7.3 before that was the
clean install.  I don't think I could have copied an old localtime from
anywhere.  AFAIK, this is the result of just regular installation/upgrade and
setting the time with the provided tools.  I'd be happy to provide more info if
this seems to be some rare condition on my system.

Anyway, thank you very much.  I can start growing my hair back.
Comment 5 Bill Nottingham 2003-06-17 12:46:52 EDT
It's a bug in redhat-config-date, I believe.
Comment 6 Brent Fox 2003-06-17 18:34:33 EDT
This is a dupe of bug #91228.

*** This bug has been marked as a duplicate of 91228 ***
Comment 7 Red Hat Bugzilla 2006-02-21 13:56:45 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.